Bug 1567225 - [upstream][v2v] Multiple Migration plans of same name can be created
Summary: [upstream][v2v] Multiple Migration plans of same name can be created
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1608768
TreeView+ depends on / blocked
 
Reported: 2018-04-13 15:27 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:09 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1608768 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:10 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Kedar Kulkarni 2018-04-13 15:27:51 UTC
Description of problem:
It is possible to create multiple migration plans with the same name. 



Version-Release number of selected component (if applicable):
master.20180406233346_c9e7f02

How reproducible:
100%

Steps to Reproduce:
1.Create Migration plan named 'plan1'
2.repeat step 1 multiple times


Actual results:
It is possible to create multiple migration plans with the same name. 

Expected results:
If you try to create multiple infrastructure mappings, that is prohibited and so the migration plans should also bar you from creating multiple plans with same name.

Additional info:

Comment 2 Greg McCullough 2018-04-16 13:47:22 UTC
Lucy - Please review with Bill.

Comment 6 Greg McCullough 2018-04-18 21:56:09 UTC
Brett, Please review/advise.

Comment 16 Brett Thurber 2018-07-23 15:13:55 UTC
Moving to Post as PR is merged.

Comment 19 Kedar Kulkarni 2018-07-30 17:57:49 UTC
On 5.10.0.6 I cannot create multiple plans with same name anymore, as expected.


Note You need to log in before you can comment on or make changes to this bug.